# Show return warning message if return is not true or 0
SHOW_RETURN_WARNING="0"

# Channel number length(will be ignore if ~/.gamerc exist)
CHANNEL_NUMBER_LENGTH="1"

# Do not save any script history and result
NOSAVE_AS_DEFAULT="0"

# Trying to get the channel number length from ~/.gamerc
#if [ -e ~/.gamerc ] ; then
#	source ~/.gamerc
#else
#	SERVER_ID_CH_NUM_LENGTH="2"
#	SERVER_ID_CH_NUM_EXT_LENGTH="3"
#fi
SERVER_ID_CH_NUM_LENGTH="2"
SERVER_ID_CH_NUM_EXT_LENGTH="3"

# Where is the hosts file?
HOSTS_FILE="/etc/hosts"

# How do you naming all the hosts?
HOSTS_ALL_PATCH="PATCH"
HOSTS_ALL_ACCOUNTDB="ACCOUNTDB"
HOSTS_ALL_GAMEDB="GAMEDB"
HOSTS_ALL_WORLDDB="WORLDDB"
HOSTS_ALL_SOCIETYDB="SOCIETYDB"
HOSTS_ALL_GDS="GDS"
HOSTS_ALL_MS="MS"
HOSTS_ALL_WS="WS"
HOSTS_ALL_WHS="WHS"
HOSTS_ALL_RANKS="RANKS"
HOSTS_ALL_CHATS="CHATS"
HOSTS_ALL_SOCIETYS="SOCIETYS"
HOSTS_ALL_DB="DB"
HOSTS_ALL="GDS|MS|WS|RANKS|CHATS|SOCIETYS|WORLDDB|GAMEDB|ACCOUNTDB"
HOSTS_ALL_SERVER="ACCOUNTDB|GDS|MS|WS|RANKS|CHATS|SOCIETYS"
HOSTS_SET_GDS="[[:blank:]]GDS$SETNUM[[:blank:]]|[[:blank:]]GDS$SETNUM[[:blank:]]*$"
HOSTS_SET_MS="[[:blank:]]MS$SETNUM[[:blank:]]|[[:blank:]]MS$SETNUM[[:blank:]]*$"
HOSTS_SET_WS="[[:blank:]]WS$SETNUM[0-9]{$SERVER_ID_CH_NUM_LENGTH}[[:blank:]]|[[:blank:]]WS$SETNUM[0-9]{$SERVER_ID_CH_NUM_LENGTH}[[:blank:]]*$"
HOSTS_SET_WHS="[[:blank:]]WHS$SETNUM[0-9]{$SERVER_ID_CH_NUM_EXT_LENGTH}[[:blank:]]|[[:blank:]]WHS$SETNUM[0-9]{$SERVER_ID_CH_NUM_EXT_LENGTH}[[:blank:]]*$"
HOSTS_SET_RANKS="[[:blank:]]RANKS$SETNUM[[:blank:]]|[[:blank:]]RANKS$SETNUM[[:blank:]]*$"
HOSTS_SET_CHATS="[[:blank:]]CHATS$SETNUM[[:blank:]]|[[:blank:]]CHATS$SETNUM[[:blank:]]*$"
HOSTS_SET_SOCIETYS="[[:blank:]]SOCIETYS$SETNUM[[:blank:]]|[[:blank:]]SOCIETYS$SETNUM[[:blank:]]*$"
HOSTS_SET_GAMEDB="[[:blank:]]GAMEDB$SETNUM[[:blank:]]|[[:blank:]]GAMEDB$SETNUM[[:blank:]]*$"
HOSTS_SET_WORLDDB="[[:blank:]]WORLDDB$SETNUM[0-9]{$SERVER_ID_CH_NUM_LENGTH}[[:blank:]]|[[:blank:]]WORLDDB$SETNUM[0-9]{$SERVER_ID_CH_NUM_LENGTH}[[:blank:]]*$"
HOSTS_SET_DB="$HOSTS_SET_GAMEDB|$HOSTS_SET_WORLDDB"
HOSTS_SET="$HOSTS_SET_GDS|$HOSTS_SET_MS|$HOSTS_SET_WS|$HOSTS_SET_WHS|$HOSTS_SET_RANKS|$HOSTS_SET_CHATS|$HOSTS_SET_SOCIETYS|$HOSTS_SET_GAMEDB|$HOSTS_SET_WORLDDB"
HOSTS_SET_SERVER="$HOSTS_SET_GDS|$HOSTS_SET_MS|$HOSTS_SET_WS|$HOSTS_SET_WHS|$HOSTS_SET_RANKS|$HOSTS_SET_CHATS|$HOSTS_SET_SOCIETYS"
